---
variables:
  PYTHON_MATRIX_VERSION: "3.8 3.9 3.10 3.11 3.12"
  PYLINTFLAGS: "--disable=fixme"

include:
  - remote: "https://gitlab.com/cappysan/ci-templates/-/raw/master/gitlab-ci.yml"
  #
  - remote: "https://gitlab.com/cappysan/ci-templates/-/raw/master/gitlab-ci/pre-commit.yml"
  - remote: "https://gitlab.com/cappysan/ci-templates/-/raw/master/gitlab-ci/sphinx.yml"
  - remote: "https://gitlab.com/cappysan/ci-templates/-/raw/master/gitlab-ci/python.yml"
  - remote: "https://gitlab.com/cappysan/ci-templates/-/raw/master/gitlab-ci/releases.yml"
  - remote: "https://gitlab.com/cappysan/ci-templates/-/raw/master/gitlab-ci/pages.yml"

python:package:upload:
  needs:
    - job: python:package:test
      artifacts: false
    - job: python:matrix:3.8
      artifacts: false
    - job: python:matrix:3.9
      artifacts: false
    - job: python:matrix:3.10
      artifacts: false
    - job: python:matrix:3.11
      artifacts: false
    - job: python:matrix:3.12
      artifacts: false
    - job: python:pylint
      artifacts: false

gitlab:release:
  needs:
    - job: python:package:upload
      artifacts: false
      optional: false

pages:
  extends: .pages
  needs:
    - job: misc:documentation:sphinx
      artifacts: true
